sc::SCFormIO(3)

NAME
sc::SCFormIO - This utility class is used to print only on node 0 and to provide attractive indentation of output.

SYNOPSIS

#include <formio.h>

  Static Public Methods
std::ios & indent (std::ios &o)
std::ios & decindent (std::ios &o)
std::ios & incindent (std::ios &o)
std::ios & skipnextindent (std::ios &o)
void setverbose (std::ios &o, long v)
long getverbose (std::ios &o)
void setindent (std::ios &o, long column)
long getindent (std::ios &o)
int set_printnode (int)
int get_printnode ()
void set_debug (int)
int get_debug ()
void init_mp (int me)
int get_node ()
void set_default_basename (const char *)
const char * default_basename ()
char * fileext_to_filename (const char *extension)
void init_ostream (std::ostream &)
std::ostream & license (std::ostream &)
std::ostream & warranty (std::ostream &)
std::ostream & copyright (std::ostream &)

DETAILED DESCRIPTION

This utility class is used to print only on node 0 and to provide attractive indentation of output.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.